--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.toggleShowHelpSteyr545) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.04, 0.04, 0.02, "Taste Numpad 0: Info Einschalten");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.04, 0.04, 0.02, "Taste Numpad 0: Info Abschalten");
		renderText(0.04, 0.18, 0.02, "- Steyr 545 Info -");
		renderText(0.04, 0.16, 0.02, "Leertaste: IC an/aus");
		--renderText(0.72, 0.57, 0.02, "");
		renderText(0.04, 0.14, 0.02, "Taste Numpad 1: Blinker links");
		renderText(0.04, 0.12, 0.02, "Taste Numpad 2: Warnblinker");
		renderText(0.04, 0.10, 0.02, "Taste Numpad 3: Blinker rechts");
		--renderText(0.72, 0.66, 0.02, "");
		renderText(0.04, 0.08, 0.02, "Taste 0: Hupe");
		--renderText(0.72, 0.65, 0.02, "");
		renderText(0.04, 0.06, 0.02, "weitere Funktionen: von aussen bedienbar");
	end;
end;  

function ShowHelp:onLeave()
	self.showHelp = false;
end;




